#ifndef PROCESS_H
#define PROCESS_H

#include "libflyadminprocess_global.h"

#include <QProcess>

namespace FlyAdmin
{

class LIBFLYADMINPROCESSSHARED_EXPORT Process: public QProcess
{
    Q_OBJECT
public:
    /**
     * @brief checkRunningInProc scans /proc directory to process statement
     * @param processName process name or part of process name
     * @return true if running
     */
    Q_INVOKABLE static bool checkRunningInProc(const QString &processName);

    explicit Process(QObject *parent = nullptr);
    Process& simpleStart(const QString& command, const QStringList& arguments = QStringList());
    const QString output();
    const QString stderror();
};

}

#endif // PROCESS_H
